class TaxGroupsController < ApplicationController
  before_action :set_tax_group, only: [:show, :edit, :update, :destroy]

  # GET /tax_groups
  def index
    @tax_groups = TaxGroup.all
  end

  # GET /tax_groups/1
  def show
  end

  # GET /tax_groups/new
  def new
    @tax_group = TaxGroup.new
  end

  # GET /tax_groups/1/edit
  def edit
  end

  # POST /tax_groups
  def create
    @tax_group = TaxGroup.new({name: params[:tax_group][:name]})
    params[:tax_group][:tax_group_items].each do |item|
      @tax_group.tax_group_items.build({ tax_id: item }).save unless item.empty?
    end

    if @tax_group.save
      redirect_to tax_groups_url, notice: 'Tax group was successfully created.'
    else
      render :new
    end
  end

  # PATCH/PUT /tax_groups/1
  def update
    if @tax_group.update(tax_group_params)
      redirect_to tax_groups_url, notice: 'Tax group was successfully updated.'
    else
      render :edit
    end
  end

  # DELETE /tax_groups/1
  def destroy
    @tax_group.destroy
    redirect_to tax_groups_url, notice: 'Tax group was successfully destroyed.'
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_tax_group
      @tax_group = TaxGroup.find(params[:id])
    end

    # Only allow a list of trusted parameters through.
    def tax_group_params
      params.require(:tax_group).permit(:name, :tax_group_items)
    end
end
