require 'rails/generators/base'

module Taxable
  module Generators
    class InstallGenerator < Rails::Generators::Base
      source_root File.expand_path('templates', __dir__)

      def copy_migrations
        rake "taxable_engine:install:migrations"
        rake "db:migrate"
      end

      def copy_locales
        copy_file "../../../../config/locales/en.yml", "config/locales/taxable.en.yml"
        copy_file "../../../../config/locales/es.yml", "config/locales/taxable.es.yml"
      end

      def add_route
        # Sisnce this engine isn't mountable, don't need to be mounted, so remove this line
        # route "mount Taxable::Engine => '/taxes'"
      end
    end
  end
end
